Sending

Send Document

Send a document to a customer

POST
/api/v1/{companyId}/send
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

companyId*string

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://app.recommand.eu/api/v1/string/send" \  -H "Content-Type: application/json" \  -d '{    "recipient": "0208:987654321",    "documentType": "invoice",    "document": {      "invoiceNumber": "INV-2024-001",      "buyer": {        "name": "Example Company",        "street": "Example Street 1",        "city": "Brussels",        "postalZone": "1000",        "country": "BE"      },      "lines": [        {          "netPriceAmount": "21.00",          "vat": {            "percentage": "21.00"          }        }      ]    }  }'
{
  "success": true,
  "sentOverPeppol": true,
  "sentOverEmail": true,
  "emailRecipients": [
    "string"
  ],
  "teamId": "string",
  "companyId": "string",
  "id": "string",
  "peppolMessageId": "string",
  "envelopeId": "string"
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}